﻿
@font-face {
    font-family: 'FONTSPRING DEMO - The Seasons';
    src: url('LibreBaskerville-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}


.eballot {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    height: 100vh;
    width: 100vw;
}

.left-col {
    background: url("Images/GSX_show number - balloting.png"); /*before start ballot welcome - balloting.png*/
    background-repeat: no-repeat;
    background-size: 100% 100%;
    width: 80vw;
}

.right-col {
    width: 20vw;
    height: 100vh;
    /*background-color:#234A45;*/
/*    background-color: #485e2b;*/
    background-color: #f9e7cb;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}

.left-col .content {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 91vh;
}

#divWelcomeMsg {
    position: absolute;
    bottom: 19vh;
    /*left:28.5vw;*/
    left: 29vw;
    font-size: 1.25vw;
    font-style: italic;
    color: #fff;
    background-color: rgba(0, 0, 0, 0.7); /* 50% transparent white */
    padding: 10px;
    border-radius: 5px;
    display: none;
}

#divWaitMsg {
    position: absolute;
    top: 30vh;
    left: 19.5vw;
    width: 40vw;
    text-align: center;
    font-size: 1.25vw;
    font-style: italic;
}

#divTicDisplay {
    flex-direction: column;
    align-self: center;
    position: relative;
    /*width: 58.5vw;*/
    width: 70.5vw;
    height: 90vh;
    top: 3vh;
    /*top: 22.2vh;*/
    /*opacity: 0.8;*/
}

.startButton {
    /*align-self: center;*/
    display: flex;
    position: absolute;
    /*width: 100vw;*/
    top: 80vh;
    left: 35vw;
    padding-right: 3vw;
    flex-direction: row;
    /*justify-content: center;*/
}

    .startButton a {
        font-size: 0.8vw;
        vertical-align: middle;
        text-align: center;
        padding: 1.5vh 1.25vw 1.5vh 1.25vw;
        border-radius: 1em;
        text-decoration: none;
        color: #ffffff;
        background-color: #6d5748; /*#234A45*/
        z-index: 1;
    }

.muteButton {
    position: absolute;
    text-align: left;
    padding-right: 1vw;
    top: 3vh;
    right: 20vw;
    height: 10.5vw;
    width: 2.5vw;
    font-size: 1.5vw;
}

    .muteButton img {
        height: 1.5vw;
        width: 1.5vw;
    }

#btnMuteSpeech {
    position: absolute;
    right: 70px;
}

    #btnMuteSpeech img {
        height: auto !important;
        width: 1.14vw !important;
    }

.ballotStatus {
    display: none;
    font-size: 0.75vw;
    font-weight: bold;
    position: absolute;
    text-align: left;
    bottom: 10vh;
    left: 14.5vw;
    width: 28vw;
    color: white;
}

.actionLink {
    font-size: 0.75vw;
    position: absolute;
    text-align: right;
    bottom: 10vh;
    right: 53vw;
    width: 28vw;
}

    .actionLink .linkButton {
        display: block;
        text-decoration: none;
        color: cornflowerblue;
    }

#divQueueCount {
    /*visibility: hidden;*/
    /*display: none;*/
    font-family: Arial;
    padding-top: 5vh;
    padding-bottom: 3vh;
    border-radius: 5px;
    /*background-color: rgba(255, 255, 255);*/ /* 50% transparent white */
    color: #fe7246 !important; /* Text color */
    position: relative;
    top: 54vh;
}

    #divQueueCount .queueLabel {
        padding-left: 21vw;
        font-size: 2.3vw;
    }

    #divQueueCount .queueNo {
        padding-left: 3vw;
        font-size: 3.5vw;
        font-weight: bold;
    }

#ticketfront, #ticketback {
    display: none;
    position: absolute;
    top: 13%;
    left: 50%;
    /*transform: translate(-50%,-46%);*/
    transform: translate(-50%,0%);
    width: 65vw;
    /*height: 35vh;*/
    /*width: 71vw;*/
    height: 70vh;
    /*    box-shadow: 0.3vw 0.3vw 0.3vw gray;*/
    border-radius: 3vh;
}

#ticketfront {
    background-image: url("Images/GXC_Card.png");
    background-size: 100% 100%;
    background-repeat: no-repeat; /* Prevents the image from repeating */
    background-position: center; /* Keeps it centered */
    /*background-color: #EFEEE2;*/
    font-family: HelveticaNeue-Light,Verdana,Arial,Helvetica,sans-serif !important;
    font-weight: bold;
}

#ticketback {
    /*background-image: url("Images/WATTEN HOUSE-LOGO_COLOURED.png");*/
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: center;
    background-color: White;
}

#divProgressBorder {
    display: none;
    position: absolute;
    bottom: 6vh;
    width: 24vw;
    height: 0.5vh;
    left: 50%;
    transform: translate(-50%,0);
    border: solid 0.15vw #245EA4;
    border-radius: 0.2vw;
}

#divProgress {
    width: 24vw;
    height: 0.5vh;
    position: relative;
    background-color: #245EA4;
}

#ticketfrontData {
    position: absolute;
    top: 53%;
    transform: translate(0,-50%);
    /*width: 70vw;*/
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    flex-wrap: wrap;
    padding-right: 1vw;
}

#divTickNo {
    font-size: 2.5vw;
    font-weight: lighter;
    width: 50%;
    text-align: center;
    display: none;
}

#divLeadNo {
    text-align: center;
    font-size: 6vw;
    width: 100%;
    font-weight: normal;
    word-wrap: break-word;
    font-family: 'FONTSPRING DEMO - The Seasons', serif;
    color: #fe7246;
}

#divAgencyName {
    text-align: center;
    margin-top: 40px;
    color: Gray;
    font-size: 16px;
    padding-left: 20px;
    padding-right: 20px;
}

.right-col .header {
    display: flex;
    flex-shrink: 1;
    flex-wrap: wrap;
    height: 6vh;
    width: 20vw;
    color: #245EA4;
    background-color: #ffffff;
}

    .right-col .header p {
        margin: 0;
        height: 6vh;
        line-height: 6vh;
        width: 20vw;
        text-align: center;
        font-size: 1vw;
        /*border-top: solid 0.2vw #234A45;
    border-left: solid 0.2vw #234A45;
    border-right: solid 0.2vw #234A45;*/
/*        border-top: solid 0.2vw #6d5748;
        border-left: solid 0.2vw #6d5748;
        border-right: solid 0.2vw #6d5748;*/
    }

.right-col .content {
    height: 100vh;
    width: 20vw;
    -ms-overflow-style: none;
    scrollbar-width: none;
    overflow: scroll;
}

    .right-col .content::-webkit-scrollbar {
        display: none;
    }

    .right-col .content .queueItem {
        display: none;
        background-color: #DCDCD9;
        color: #245EA4;
        font-size: 1.2vw;
        height: 4vh;
        padding: 0.1vw;
        line-height: 4vh;
        text-align: center;
        vertical-align: middle;
        /*border-left: solid 0.2vw #234A45;
    border-right: solid 0.2vw #234A45;*/
/*        border-left: solid 0.2vw #6d5748;
        border-right: solid 0.2vw #6d5748;*/
        border-bottom: solid 0.2vw darkgray;
    }

.right-col .footer {
    background-image: url("Images/Alphawave Logo.png");
    background-repeat: no-repeat;
    background-size: contain;
    background-position: right;
    background-color: #ffffff;
    padding-left: 0.3vw;
    padding-top: 0.1vw;
    font-size: 0.7vw;
    color: #245EA4;
    /*border-left: solid 0.2vw #234A45;
    border-right: solid 0.2vw #234A45;*/
/*    border-left: solid 0.2vw #6d5748;
    border-right: solid 0.2vw #6d5748;*/
}


@keyframes fadeout {
    from {
        opacity: 1
    }

    to {
        opacity: 0
    }
}

@keyframes fadein {
    from {
        opacity: 0
    }

    to {
        opacity: 1
    }
}

@keyframes growin {
    from {
        width: 0px;
        height: 0px;
    }

    to {
        width: 31vw;
        height: 39vh;
    }
}

@keyframes addqueue {
    from {
        opacity: 0;
        background-color: yellow
    }

    to {
        opacity: 1;
        background-color: #DCDCD9
    }
}

@keyframes countdown {
    from {
        width: 24vw;
    }

    to {
        width: 0px;
    }
}

#ticketfrontBatch {
    overflow: scroll;
    -ms-overflow-style: none;
    scrollbar-width: none;
    position: absolute;
    top: 18vh;
    left: 1vh;
    width: 64vw;
    height: 45vh;
    border-radius: 2vh;
}

    #ticketfrontBatch::-webkit-scrollbar {
        display: none;
    }

#matchData {
    position: absolute;
    left: 50%;
    transform: translate(-50%,0);
    table-layout: fixed;
    word-wrap: break-word;
    width: 65vw;
    text-align: center;
    border-collapse: collapse;
    max-height: 34vw;
}

    #matchData tbody tr {
        height: 3vh;
    }

    #matchData thead th {
        padding-right: 1vw;
        padding-left: 1vw;
        /*padding-top: 1vh;*/
        font-size: 1.3vw;
        font-weight: bold;
        text-decoration: underline;
        text-decoration-thickness: 0.3vh;
        text-underline-offset: 1vh;
        width: 50%;
    }

    #matchData tbody tr td:first-child {
        border-right: 0.2vw solid;
    }

    #matchData tbody td {
        font-size: 1.1vw;
        font-weight: bold;
        padding-right: 1vw;
        padding-left: 1vw;
        padding-top: 0.5vh;
        padding-bottom: 0.63vh;
    }

    #matchData tbody tr:first-child td {
        padding-top: 2vh;
    }

    #matchData tbody tr:nth-child(even) {
        background-color: rgba(255, 255, 255, 0.6);
    }

/*eballot .queue {
    position: relative;
    background-color: #234A45;
    grid-column: 2;
    grid-row: 2;
    height: 100%;
    -ms-overflow-style: none;
    */ /* IE and Edge */
/*scrollbar-width: none;*/ /* Firefox */
/*overflow: scroll;
    }

    .eballot .queue::-webkit-scrollbar {
        display: none;
    }

    .eballot .queue .queueItem {
        background-color: #DCDCD9;
        color: #245EA4;
        font-size: 18px;
        height: 20px;
        line-height: 20px;
        vertical-align: middle;
        padding: 5px;
        text-align: center;
        border-left: solid 3px #234A45;
        border-right: solid 3px #234A45;
        border-bottom: solid 1px darkgray;
        display: none;
    }

/*#divQueueHeader {
    background-color: white;
    border: solid 3px #234A45;
    color: #245EA4;
    font-size: 16px;
    height: 30px;
    line-height: 30px;
    vertical-align: middle;
    padding: 5px;
    text-align: center;
    grid-column: 2;
    grid-row: 1;
}*/
/*#divQueueCount {
    display: none;
    text-align: right;
    margin-right: 50px;
    margin-top: 10px;
    font-size: 14px;
    color: #245EA4;
    font-weight: bold;
}

#ticketfront, #ticketback {
    width: 450px;
    height: 300px;
    position: absolute;
    left: 0;
    right: 0;
    top: 170px;
    margin-left: auto;
    margin-right: auto;
    box-shadow: 5px 5px 5px gray;
    border-radius: 10px;
    display: none;
}

#divProgressBorder {
    display: none;
    width: 400px;
    height: 3px;
    position: absolute;
    left: 0;
    right: 0;
    top: 490px;
    margin-left: auto;
    margin-right: auto;
    border: solid 1px #245EA4;
    border-radius: 3px;
}

#divProgress {
    display: none;
    width: 400px;
    height: 3px;
    position: relative;
    background-color: #245EA4;
}

#ticketfront {
    background-color: white;
    font-family: HelveticaNeue-Light,Verdana,Arial,Helvetica,sans-serif !important;
    font-size: 25px;
    font-weight: bold;
}

#ticketback {
    background-image: url("Images/UOL_Logo.jpg");
    background-size: 90%;
    background-repeat: no-repeat;
    background-position: center;
    background-color: White;
}

#divTickNo {
    text-align: center;
    margin-top: 80px;
    font-size: 36px;
    padding-left: 20px;
    padding-right: 20px;
}

#divLeadNo {
    text-align: center;
    margin-top: 10px;
    font-size: 36px;
    padding-left: 20px;
    padding-right: 20px;
}

#divAgencyName {
    text-align: center;
    margin-top: 40px;
    color: Gray;
    font-size: 16px;
    padding-left: 20px;
    padding-right: 20px;
}

#divWaitMsg {
    padding-top: 50px;
    padding-left: 50px;
    font-size: 20px;
    font-style: italic;
}

#divMainMsg {
    padding: 50px;
    text-align: center;
    font-size: 40px;
    font-weight: bold;
}


@keyframes fadeout {
    from {
        opacity: 1
    }

    to {
        opacity: 0
    }
}

@keyframes fadein {
    from {
        opacity: 0
    }

    to {
        opacity: 1
    }
}

@keyframes growin {
    from {
        width: 0px;
        height: 0px;
    }

    to {
        width: 450px;
        height: 300px
    }
}

@keyframes addqueue {
    from {
        opacity: 0;
        background-color: yellow
    }

    to {
        opacity: 1;
        background-color: #DCDCD9
    }
}

@keyframes countdown {
    from {
        width: 400px;
    }

    to {
        width: 0px;
    }
}


#matchData {
    font-size: 16px;
    border-spacing: 0;
    margin: 5px;
}


#matchData tr:nth-child(even) {
    background-color: antiquewhite;
}


@media only screen and (max-width:63.9em){
    .eballot {
        display: grid;
        grid-template-columns: auto 250px;
        grid-template-rows: 40px auto 30px;
        min-height: 100%;
    }

    .eballot .content {
        position: relative;
        background: url("Images/welcome - balloting.png");
        background-repeat: no-repeat;
        background-size: 100% 100%;
        grid-column: 1;
        grid-row-start: 1;
        grid-row-end: 4
    }

    #divTicDisplay {
        width: 800px;
        height: 600px;
        position: absolute;
        left: 50%;
        top: 50%;
        margin-left: -400px;
        margin-top: -300px;
        border-radius: 10px;
    }

    #divActions {
        position: absolute;*/
/* right: 10px; */
/*bottom: 80px;
        width: 100%;
    }

    #divActions .actionLink {
        position: absolute;
        right: 0;
        bottom: 20px;
        margin-right: 10px;
    }

    .muteButton {
        position: absolute;
        top: 0;
        right: 0;
        margin-top: 20px;
        margin-right: 20px;
    }

    .startButton {
        display: block;
        text-decoration: none;
        text-align: center;
        vertical-align: central;
        bottom:0;
        left:0;
        margin-left: 40%;
        margin-bottom:200px;
        position: absolute;
        border-radius: 10px;
        padding: 12px 18px 12px 18px;
        font-size: 10px;
        font-weight: bold;
        color: #ffffff;
        background-color: #234A45;
    }

    .linkButton {
        display: block;
        height: 20px;
        text-align: right;
        line-height: 20px;
        text-decoration: none;
        font-size: 10px;
        font-weight: bold;
        color: #245EA4;
        position: relative;
    }

    #divQueueHeader {
        background-color: white;
        border: solid 3px #234A45;
        color: #245EA4;
        font-size: 16px;
        height: 30px;
        line-height: 30px;
        vertical-align: middle;
        padding: 5px;
        text-align: center;
        grid-column: 2;
        grid-row: 1;
    }
    .eballot .queue {
        position: relative;
        background-color: #234A45;
        grid-column: 2;
        grid-row: 2;
        height: 100%;
        -ms-overflow-style: none;*/ /* IE and Edge */
/*scrollbar-width: none;*/ /* Firefox */
/*overflow: scroll;
    }

    .eballot .queue::-webkit-scrollbar {
        display: none;
    }

    .eballot .queue .queueItem {
        background-color: #DCDCD9;
        color: #245EA4;
        font-size: 18px;
        height: 20px;
        line-height: 20px;
        vertical-align: middle;
        padding: 5px;
        text-align: center;
        border-left: solid 3px #234A45;
        border-right: solid 3px #234A45;
        border-bottom: solid 1px darkgray;
        display: none;
    }

    #divQueueFooter {
        background-image: url("Images/AW_Logo.jpg");
        background-repeat: no-repeat;
        background-size: contain;
        background-position: right;
        grid-column: 2;
        grid-row: 3;
        padding-left: 2px;
        padding-top: 2px;
        color: #245EA4;
        font-size: 10px;
        border-left: solid 3px #234A45;
        border-right: solid 3px #234A45;
    }
}*/
/*1024px*/
/*@media only screen and (min-width:64em) {
    .eballot {
        display: grid;
        grid-template-columns: auto 18em;
        grid-template-rows: 3.5em auto 2.2em;
        min-height: 100%;
    }

    .eballot .content {
        position: relative;
        background: url("Images/welcome - balloting.png");
        background-repeat: no-repeat;
        background-size: 100% 100%;
        grid-column: 1;
        grid-row-start: 1;
        grid-row-end: 4
    }

    #divTicDisplay {
        width: 650px;
        height: 550px;
        position: absolute;
        top: 25px;
        left: 0;
        right: 0;
        margin-left: auto;
        margin-right: auto;
        border-radius: 10px;
    }

    #divActions {
        position: absolute;*/
/* right: 10px; */
/*bottom:80px;
        width:100%;
    }

    #divActions .actionLink{
        position:absolute;
        right:0;
        bottom:20px;
        margin-right:10px;
    }

    .startButton {
        display: block;
        text-decoration: none;
        text-align: center;
        vertical-align:central;
        margin-top: -180px;
        margin-left: 41.5%;
        position: absolute;
        border-radius: 10px;
        padding: 12px 18px 12px 18px;
        font-size: 10px;
        font-weight: bold;
        color:#ffffff;
        background-color: #234A45;
    }

    .muteButton {
        position:absolute;
        top: 0;
        right:0;
        margin-top:20px;
        margin-right:20px;
    }

    .linkButton {
        display: block;
        height: 20px;
        text-align: right;
        line-height: 20px;
        text-decoration: none;
        font-size: 10px;
        font-weight: bold;
        color: #245EA4;
        position: relative;
    }

    #divQueueHeader {
        background-color: white;
        border: solid 3px #234A45;
        color: #245EA4;
        font-size: 15px;
        height: 30px;
        line-height: 30px;
        vertical-align: middle;
        padding: 5px;
        text-align: center;
        grid-column: 2;
        grid-row: 1;
    }

    .eballot .queue {
        position: relative;
        background-color: #234A45;
        grid-column: 2;
        grid-row: 2;
        height: 100%;
        -ms-overflow-style: none;*/ /* IE and Edge */
/*scrollbar-width: none;*/ /* Firefox */
/*overflow: scroll;
    }

    .eballot .queue::-webkit-scrollbar {
        display: none;
    }

    .eballot .queue .queueItem {
        background-color: #DCDCD9;
        color: #245EA4;
        font-size: 16px;
        height: 20px;
        line-height: 20px;
        vertical-align: middle;
        padding: 5px;
        text-align: center;
        border-left: solid 3px #234A45;
        border-right: solid 3px #234A45;
        border-bottom: solid 1px darkgray;
        display: none;
    }

    #divQueueFooter {
        background-image: url("Images/Alphawave Logo.png");
        background-repeat: no-repeat;
        background-size: contain;
        background-position: right;
        grid-column: 2;
        grid-row: 3;
        padding-left: 2px;
        padding-top: 2px;
        color: #245EA4;
        font-size: 10px;
        border-left: solid 3px #234A45;
        border-right: solid 3px #234A45;
    }
}*/
/*1366px*/
/*@media only screen and (min-width:85.375em) {
    .eballot {
        display: grid;
        grid-template-columns: auto 22.5em;
        grid-template-rows: 40px auto 30px;
        min-height: 100%;
    }
}*/
/*1920px*/
/*@media only screen and (min-width:120em) {
    .eballot {
        display: grid;
        grid-template-columns: auto 250px;
        grid-template-rows: 40px auto 30px;
        min-height: 100%;
    }
}*/
/*2560px*/
/*@media only screen and (min-width:160em) {
    .eballot {
        display: grid;
        grid-template-columns: auto 250px;
        grid-template-rows: 40px auto 30px;
        min-height: 100%;
    }
}*/
